All resources All frames

# RegexRedirectFilter

This filter performs URL rewriting.

## Inherits

The RegexRedirectFilter class inerits from the following classes:

- Resource
- FramedResource
- ResourceFrame
- ResourceFilter

## Attributes description

The RegexRedirectFilter defines the following attribute:

- patterns

`patterns`

semantics
  The string array that describes URL rewriting patterns.
type
  This attribute is an editable StringArrayAttribute
default value
  This attribute defaults to null.

Jigsaw Team
$Id: org.w3c.jigsaw.filters.RegexRedirectFilter.html,v 1.2 2002/02/20 13:33:03 cbournez Exp $